//+------------------------------------------------------------------+
//|                                                   Close Line.mq4 |
//+------------------------------------------------------------------+

#property indicator_chart_window

extern ENUM_TIMEFRAMES TimeFrame=PERIOD_CURRENT;
extern color  HilineLineColor    =  Aqua;
extern int    HilineLineStyle    =  2;
extern int    HilineLineWidth    =  0;
extern bool   SetLineOnTop       = true;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   TimeFrame=MathMax(TimeFrame,_Period);
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("closeline");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {

  Level("closeline",0,iClose(NULL,TimeFrame,1), Time[0],HilineLineWidth,HilineLineStyle,HilineLineColor,true);                      
                    
   return(0);
  }
  
  
void Level(string Levels, int Window,double starts,double time,double w, double s,color clr, bool deletes)
  {
   if (deletes) ObjectDelete(Levels);
   if(ObjectFind(Levels)!=0)
     { 
   ObjectCreate(Levels, OBJ_HLINE, 0, Time[0], starts,0);
   ObjectSet(Levels, OBJPROP_COLOR, clr);
   ObjectSet(Levels,OBJPROP_BACK,!SetLineOnTop);
   ObjectSet(Levels,OBJPROP_WIDTH,w);
   ObjectSet(Levels,OBJPROP_STYLE,s);
   ObjectSet(Levels,OBJPROP_TIME1,time);
     }
   else
   ObjectMove(Levels, 0, 0, Time[0]);
  } 
  